using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableHoneydewMelon : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x01FC;
		}

		public override Item GetCropObject()
		{
			Grapes grape = new Grapes();

			grape.ItemID = 0xC74;

			return grape;
		}

		public override int GetPickedID()
		{
			return 0x0C60;
		}

		[Constructable]
		public FarmableHoneydewMelon() : base( GetCropID() )
		{
			Name = "honeydew melon";
		}

		public FarmableHoneydewMelon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}